package envoy.client.ui;

import javafx.event.ActionEvent;
import javafx.scene.control.ToggleButton;

import envoy.client.data.SettingsItem;


/**
 * Project: <strong>envoy-client</strong><br>
 * File: <strong>SettingsToggleButton.java</strong><br>
 * Created: <strong>18.04.2020</strong><br>
 * 
 * @author Kai S. K. Engelbart
 * @since Envoy Client v0.1-beta
 */
public final class SettingsToggleButton extends ToggleButton {

	public SettingsToggleButton(SettingsItem<Boolean> settingsItem) {
		super(settingsItem.getUserFriendlyName());
		addEventHandler(ActionEvent.ACTION, e -> settingsItem.set(!settingsItem.get()));
	}
}
